Update Notification Setting
PATCH /notification-settings/{event}
PATCH
/notification-settings/{event}
Update the notification settings (Push, Email, Text) for a specific event for the current user.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” event
required
string
Notification event to update
Request Body
Section titled “Request Body ”Request payload to update notification settings
Request to update notification settings for a user.
object
email
required
boolean
push
required
boolean
true text
required
boolean
trueResponses
Section titled “ Responses ”Notification settings updated successfully
Bad Request: invalid data or unsupported event/user type/flag value
object
error
string
some meaningful error messageUnauthorized: user is not authenticated
object
error
string
some meaningful error messageInternal Server Error: failed to update notification settings
object
error
string
some meaningful error message